Dell Mini 9 & Mini 12 Wireless toggle function key not connected

Bug #295216 reported by Brian Chidester on 2008-11-07
18
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linux
New
Undecided
Unassigned
linux (Ubuntu)
Medium
Unassigned

Bug Description

Build: 1.0.1 20081106
Environment: Dell Mini 9

The function key that resides over the 2 button should toggle the wireless functions (bluetooth and wifi) on and off when you hit fn+2. Instead it toggles nothing. The function is not connected to the wireless function in UNR.

Pete Goodall (pgoodall) wrote :

Are we certifying UNR on the Dell Mini 9? Unless we are I would say this is low priority, as this is very device-specific.

Neil J. Patel (njpatel) wrote :

If this isn't working in stock hardy either, it's a Ubuntu bug.

Changed in netbook-remix:
status: New → Triaged
Luca Ferretti (elle.uca) wrote :

https://bugs.launchpad.net/bugs/367097

Someone reported that even installing aircraft-manager from PPA the wrong signal is emitted pressing Fn+2, XF86AudioNext instead of XF86WLAN

Ilya Konyakhin (ilyakon) wrote :

Confirm on Dell mini 12 with Ubuntu 9.10.
When I'm pressing on the Fn+F2 nothing happens. In addition, I'm under the influence of this bug, too:
https://bugs.launchpad.net/bugs/367097

confirm this on Samsung N128. Pressing Fn+F9 doesnot switch off wireless LAN.

Jerone Young (jerone) wrote :

Did you try 10.04 ? This may be fixed in udev. The Dell mini has a fix in udev. not sure about the Samsung N128. Please boot a 10.04 live cd and see if fixed.

Ilya Konyakhin (ilyakon) wrote :

2Jerone Young
I installed fresh 10.04 i386 on my dell mini 12 and up-to-date all packages. Nevertheless the bug still exits.
I'm running lshal -m and then pushing Fn+F2. What that I see in command output:

20:36:38.155: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = next-song
20:36:38.363: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = next-song
20:36:38.822: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = next-song
20:36:38.995: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = next-song

Next-song action instead toggle wireless on/off.
Moreover, I'm trying live version ubuntu from USB - I get the same behavior.

Additional info:
apt-cache show udev
Package: udev
Priority: required
Section: admin
Installed-Size: 1472
Maintainer: Scott James Remnant <email address hidden>
Architecture: i386
Version: 151-12

Jerone Young (jerone) wrote :

@llya
          Can you post the output of dmidecode ? Run "sudo dmidecode" .. specifically looking for the information in the "System Information" section. Make sure to not include your serial number. This issue can be fixed in udev. Post info to bug and will give you a fix and make sure it gets upstream.

Ilya Konyakhin (ilyakon) wrote :

Well, I did. Something else?

Jerone Young (jerone) wrote :

@llya
      I'm submitting the fix upstream. Should land in Ubuntu at some point. To fix the issue though you have to go into file /lib/udev/95-keyboard.conf and edit the following, then reboot:

OLD LINE:
ENV{DMI_VENDOR}=="Dell*", ATTR{[dmi/id]product_name}=="Inspiron 1011", RUN+="keymap $name 0x84 wlan"

NEW LINE:
ENV{DMI_VENDOR}=="Dell*", ATTR{[dmi/id]product_name}=="Inspiron 1011|Inspiron 1210", RUN+="keymap $name 0x84 wlan"

Jerone Young (jerone) wrote :

Can some post the dmidecode information for the mini 9 ?

Ilya Konyakhin (ilyakon) wrote :

I tried what you wrote above, but your advice has a couple of inaccuracies.
It should edit the file /lib/udev/rules.d/95-keymap.rules instead of what you suggested. After rebooting lshal -m began to give the correct command:
01:15:30.381: platform_i8042_i8042_KBD_port_logicaldev_input condition ButtonPressed = wlan
instead next_song.
However, wifi toggle does not work and does not switch the state of wifi. It looks like wifi does not simply respond to the action from the keyboard.
Any ideas?

Jerone Young (jerone) wrote :

@IIya
         Check your bios settings. We got the key to map correctly. But on these may need some kernel support to get the rest to work. Things have changed since 8.04 .. and that is what is shipped with.

Jerone Young (jerone) wrote :

@luca
         Can you try this .. edit file /lib/udev/rules.d/95-keymap.rules:

OLD LINE:
ENV{DMI_VENDOR}=="Dell*", ATTR{[dmi/id]product_name}=="Inspiron 1011", RUN+="keymap $name 0x84 wlan"

NEW LINE:
ENV{DMI_VENDOR}=="Dell*", ATTR{[dmi/id]product_name}=="Inspiron 1011|Inspiron 910", RUN+="keymap $name 0x84 wlan"

Then reboot .. run "lshal -m" .. see that it produces the wlan key. Let me know if it does.

After this it still will not work ... more support for these particular machines at the kernel level needs to be added. But it fixes the first part of the problem.

Ilya Konyakhin (ilyakon) wrote :

2Jerone
I checked out any BIOS options what related to wifi, bleutooth, and I found two options:
wifi management [enabled],
BT management [enabled].
However, it still does not work.
May be this bug related to network manager bug? It is like these:
https://bugs.launchpad.net/ubuntu/+source/network-manager-applet/+bug/385646
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/578441

So, are you going to include these udev changes to upstream packages? If yes, what package will be affected?

Luca Ferretti (elle.uca) wrote :

Jerome, with your suggested change in udev rule, now Fn+2 in Inspiron 910 produces the proper keycode.

Unfortunately `lshal -m` seems unable to capture keycodes produced by any Fn+N combination[1]. So I've tested it with xev[2], that produces the following output:

keycode 246 = (keysym 0x1008ff95, XF86WLAN), state = 0x0

Ilya, the wifi doesn't toggle 'cause with this change you are simply producing the proper keycode. In order to toggle the wifi you need a program that excute the action (aircraft-manager seems unavailable for lucid, and I'm not sure NetworkManager has support for this action).

[1] also, hal is not installed in 10.04 UNE
[2] xev | sed -n 's/^.*state \([0-9].*\), keycode *\([0-9]\+\) *\(.*\), .*$/keycode \2 = \3, state = \1/p'

Jerone Young (jerone) wrote :

@Luca @llya

      This is a 2 part problem.

      First part of the problem is to get it to do the correct key code. This way a program can be initiated.

      Second part is actually having kernel support and/or program to disable the wifi/bluetooth. For these machines in particular it was done in a different way, they where first generation netbooks

      The first part of the problem is solved. I'm making sure everything gets upstream. Now on to the second part. Though I probably wouldn't get a hold of machine for some time so need to see whe airplane mode program did. It probably wouldn't work in 10.04 ... it was written for 8.04.

Leo (leorolla) on 2010-06-02
Changed in netbook-meta (Ubuntu):
status: New → Invalid
Didier Roche (didrocks) wrote :

Please Leo, do not add random random package when you shouldn't. netbook-meta is the metapackage containing the list of default application on netbook edition, NOTHING related to parameters in UNE edition.
Thanks for your work there but ensure about what to do before doing random assignment (you can join #ubuntu-desktop if you are unsure)

affects: netbook-remix → linux
Leo (leorolla) on 2010-06-02
Changed in linux:
status: Triaged → New
Leo (leorolla) wrote :

Then I am marking "New" as it had been triaged for netbook-remix.

Jerone Young (jerone) on 2010-07-12
summary: - Wireless toggle function key not connected
+ Dell Mini 9 & Mini 12 Wireless toggle function key not connected
Leo (leorolla) on 2010-10-05
Changed in linux (Ubuntu):
status: New → Confirmed

FWIW, there is a repackaged version of aircraft-manager available from my PPA that works in Lucid. Even if you have Dell's version of Ubuntu for the mini, the last time I checked, you need my version of aircraft-manager because theirs doesn't work on their own distro. You can easily map this program to the wireless toggle key.

My PPA is here: https://launchpad.net/~opensource-subakutty/+archive/ppa

Brian Chidester, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO CD images are available from http://cdimage.ubuntu.com/releases/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the kernel in the daily folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested and remove the tag:
needs-upstream-testing

This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the text:
needs-upstream-testing

If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested.

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

If you are unable to test the mainline kernel, please comment as to why specifically you were unable to test it and add the following tags:
kernel-unable-to-test-upstream
kernel-unable-to-test-upstream-VERSION-NUMBER

Please let us know your results. Thank you for your understanding.

no longer affects: netbook-meta (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers